Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#1887 closed Bug (fixed)

getProxy returns http expire header in the past, causing forced assets re-downloads

Reported by: matt Owned by:
Priority: major Milestone: Piwik 1.1
Component: UI - UX (AngularJS, twig, less) Keywords:
Cc: Sensitive: no

Description

From the demo URL:
http://demo.piwik.org/index.php?module=Proxy&action=getCss&piwik=1.1b2

Expires header is in 1981, which causes all redownload of large asset file at every request.

Response headers were:

Date: Tue, 14 Dec 2010 04:47:50 GMT
Server: Apache
X-Powered-By: PHP/5.2.4-2ubuntu5.10
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: public, must-revalidate
Vary: Accept-Encoding,User-Agent
Content-Disposition: inline; filename=asset_manager_global_css.css
Last-Modified: Tue, 14 Dec 2010 04:44:39 GMT
Content-Type: text/css
Via: 1.1 bc4
Content-Length: 12406
Connection: Keep-Alive
Content-Encoding: deflate

My requests headers were

Host: demo.piwik.org
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 (.NET CLR 3.5.30729)
Accept: text/css,*/*;q=0.1
Accept-Language: en-gb,fr;q=0.8,pt-br;q=0.6,fr-ca;q=0.4,en;q=0.2
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 3
Connection: keep-alive
Referer: http://demo.piwik.org/index.php?module=CoreHome&action=index&idSite=1&period=day&date=2010-12-14
If-Modified-Since: Tue, 14 Dec 2010 04:44:39 GMT
Cache-Control: max-age=0

Change History (8)

comment:2 Changed 3 years ago by matt (mattab)

do you see the same header in the response, which forces to re-download the assets every request?

comment:4 Changed 3 years ago by matt (mattab)

Maybe the solution would be to have getAsset override the Expires header appropriately?

comment:5 Changed 3 years ago by vipsoft (robocoder)

  • Resolution set to fixed
  • Status changed from new to closed

(In [3446]) fixes #1887 - override Expires header

comment:6 Changed 3 years ago by matt (mattab)

Anthon, do you know why this issue started showing up recently and was not seen before?

comment:7 Changed 3 years ago by vipsoft (robocoder)

In 1.0 we didn't have a proxy.

comment:8 Changed 3 years ago by JulienM (JulienMoumne)

(In [3525]) adding unit test for refs #1887 comment:5

Note: See TracTickets for help on using tickets.